using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Villain.Data.Types;

namespace Fiesta.Game.Avatar
{
	public class Upgrade
	{
		public byte LeftHand;
		public byte RightHand;
		public byte Body;
		public byte Leg;
		public byte Shoes;

		public Upgrade(UInt32 data)
		{
			BitFields<UInt32> bitFields = new BitFields<uint>(data);

			LeftHand = bitFields.ReadByte(4);
			RightHand = bitFields.ReadByte(4);
			Body = bitFields.ReadByte(4);
			Leg = bitFields.ReadByte(4);
			Shoes = bitFields.ReadByte(4);
		}
	}
}